package com.njcn.prepare.harmonic.pojo.mysql.po.line;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;

import java.util.Date;

/**
 * Description:
 * 接口文档访问地址：http://serverIP:port/swagger-ui.html
 * Date: 2023/2/28  15:39【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
@TableName(value = "r_mp_pass_rate_d")
public class RMpPassRateDPO {
    /**
     * 监测点ID
     */
    @MppMultiId(value = "measurement_point_id")
    private String measurementPointId;

    /**
     * 生成数据的时间,每日统计一次
     */
    @MppMultiId(value = "data_date")
    private Date dataDate;

    /**
     * 有效监测时长
     */
    @TableField(value = "effective_time")
    private Integer effectiveTime;

    /**
     * 频率偏差超标时长
     */
    @TableField(value = "freq_time")
    private Integer freqTime;

    /**
     * 电压偏差超标时长
     */
    @TableField(value = "v_dev_time")
    private Integer vDevTime;

    /**
     * 闪变超标时长
     */
    @TableField(value = "flicker_time")
    private Integer flickerTime;

    /**
     * 获取监测点ID
     *
     * @return measurement_point_id - 监测点ID
     */
    public String getMeasurementPointId() {
        return measurementPointId;
    }

    /**
     * 设置监测点ID
     *
     * @param measurementPointId 监测点ID
     */
    public void setMeasurementPointId(String measurementPointId) {
        this.measurementPointId = measurementPointId;
    }

    /**
     * 获取生成数据的时间,每日统计一次
     *
     * @return data_date - 生成数据的时间,每日统计一次
     */
    public Date getDataDate() {
        return dataDate;
    }

    /**
     * 设置生成数据的时间,每日统计一次
     *
     * @param dataDate 生成数据的时间,每日统计一次
     */
    public void setDataDate(Date dataDate) {
        this.dataDate = dataDate;
    }

    /**
     * 获取有效监测时长
     *
     * @return effective_time - 有效监测时长
     */
    public Integer getEffectiveTime() {
        return effectiveTime;
    }

    /**
     * 设置有效监测时长
     *
     * @param effectiveTime 有效监测时长
     */
    public void setEffectiveTime(Integer effectiveTime) {
        this.effectiveTime = effectiveTime;
    }

    /**
     * 获取频率偏差超标时长
     *
     * @return freq_time - 频率偏差超标时长
     */
    public Integer getFreqTime() {
        return freqTime;
    }

    /**
     * 设置频率偏差超标时长
     *
     * @param freqTime 频率偏差超标时长
     */
    public void setFreqTime(Integer freqTime) {
        this.freqTime = freqTime;
    }

    /**
     * 获取电压偏差超标时长
     *
     * @return v_dev_time - 电压偏差超标时长
     */
    public Integer getvDevTime() {
        return vDevTime;
    }

    /**
     * 设置电压偏差超标时长
     *
     * @param vDevTime 电压偏差超标时长
     */
    public void setvDevTime(Integer vDevTime) {
        this.vDevTime = vDevTime;
    }

    /**
     * 获取闪变超标时长
     *
     * @return flicker_time - 闪变超标时长
     */
    public Integer getFlickerTime() {
        return flickerTime;
    }

    /**
     * 设置闪变超标时长
     *
     * @param flickerTime 闪变超标时长
     */
    public void setFlickerTime(Integer flickerTime) {
        this.flickerTime = flickerTime;
    }
}